package com.PacketAndStateObjectDLL;

import java.net.Socket;

public class StateObject {
    public Socket socket;
    public Packet packet;

    public int doneLength;
    public int stateNum;

    public static final int ReceivingDataLength = 0;
    public static final int ReceivingData = 1;
    public static final int SendingFullData = 2;

    public StateObject()
    {
        doneLength = 0;
        stateNum = 0;
    }

    public StateObject(Socket socket, Packet packet, int stateNum)
    {
        this.socket = socket;
        this.packet = packet;
        this.stateNum = stateNum;
    }
}
