package gst;

/**
 * 
 * 標明此 jar 檔案為遊戲檔案，所有的遊戲檔案都須包含此 class。
 * class 中必須有 getGameName 和 getGameVersion 兩個 method
 * 
 * @author ldslds449
 *
 */

public class GameInfo {
	/**
	 * 
	 * Client 用來取得遊戲名稱。
	 * 請注意：需使用全名，勿使用縮寫，因為此名稱會顯示給 User，縮寫會造成 User 看不懂或誤解。
	 * 
	 * @return 遊戲全名
	 */
	public static String getGameName(){
		return "Geister";
	}
	
	/**
	 * 
	 * Client 用來取得遊戲版本號。
	 * 版本號編碼習慣：X.Y.Z，X 為重大改版所使用，Y 為新增新功能所使用，Z 為修復 bugs 所使用。
	 * 通常都是數字 +1 上去。
	 * 
	 * @return 遊戲版本號
	 */
	public static String getGameVersion(){
		return "1.0.1";
	}
}
