package com.Geister;

public class RoomGSTDefaultBoard extends RoomGSTMode {

	RoomGSTDefaultBoard()
    {
        super.initialInformation = "";

        super.initialChessBoard = "";
//        super.initialHideChessBoard = "";
        super.initialRemainGhostCount = "";
        super.initialgameStarted = "";
        super.initialStepCount = "";
        super.initialStepList = "";
        super.initialEatList = "";
        super.initialTimeList = "";
        super.boardName = "";

        super.initialInformationOfBoard = "";
    }
	@Override
	String setInitialInformation(String boardInfo) {
		// client 提供盤面 //中盤對下
        String setBoardResult = "Success";
        RoomGST.DEBUG(boardInfo);
        boardName = boardInfo.split(",")[0];
        boardInfo = boardInfo.substring(boardInfo.indexOf(',') + 1);
        initialInformation = boardInfo;
        String[] initialInformationArray = initialInformation.split(",");
        for (int i = 0; i < 36; i++) //盤面大小為 36
        {
            initialChessBoard += initialInformationArray[i] + ",";
            //initialHideChessBoard += (initialInformationArray[i].endsWith("*") ? "9" : initialInformationArray[i]) + ",";
        }
        initialChessBoard = RoomGST.TrimEnd(initialChessBoard, ','); //把字串的最後一個","去掉
        //initialHideChessBoard = RoomGST.TrimEnd(initialHideChessBoard, ','); //把字串的最後一個","去掉
        
        for (int i = 36; i < 40; i++) //跑棋子4種
        {
            initialRemainGhostCount += initialInformationArray[i] + ",";
        }
        initialRemainGhostCount = RoomGST.TrimEnd(initialRemainGhostCount, ',');  //把字串的最後一個","去掉

        initialgameStarted = initialInformationArray[40];

        initialStepCount = initialInformationArray[41];
        int moveLength = Integer.parseInt(initialStepCount); //總共有幾步
        for (int i = 42; i < 42 + moveLength; i++)
        {
            initialStepList += initialInformationArray[i] + ","; //eg: A NORTH,B NORTH,
        }
        initialStepList = RoomGST.TrimEnd(initialStepList, ','); //把字串的最後一個","去掉
        
        int eatLength = Integer.parseInt(initialInformationArray[42 + moveLength]); 
        for (int i = 42 + moveLength + 1; i < 42 + moveLength + 1 + eatLength; i++)
        {
            initialEatList += initialInformationArray[i] + ",";
        }
        initialEatList = RoomGST.TrimEnd(initialEatList, ','); //把字串的最後一個","去掉
        
        int timeLength = Integer.parseInt(initialInformationArray[43 + moveLength + eatLength]); //有幾個時間資訊要收 (應該要是 moveLength + 1)
        for (int i = 43 + moveLength + eatLength + 1; i < 43 + moveLength + eatLength + 1 + timeLength; i++)
        {
            initialTimeList += initialInformationArray[i] + ",";
        }
//        for (int i = 32; i < 46; i++) //跑暗子的那一串,有14個
//        {
//            initialRemainGhostCount += initialInformationArray[i] + ",";
//        }
//        initialRemainGhostCount = RoomGST.TrimEnd(initialRemainGhostCount, ',');  //把字串的最後一個","去掉
//
//        initialgameStarted = initialInformationArray[46];
//
//        initialStepCount = initialInformationArray[47];
//        int moveLength = Integer.parseInt(initialStepCount); //總共有幾步
//        for (int i = 48; i < 48 + moveLength; i++)
//        {
//            initialStepList += initialInformationArray[i] + ",";
//        }
//        initialStepList = RoomGST.TrimEnd(initialStepList, ','); //把字串的最後一個","去掉
//        int timeLength = Integer.parseInt(initialInformationArray[48 + moveLength]); //有幾個時間資訊要收 (應該要是 moveLength + 1)
//        for (int i = 48 + moveLength + 1; i < 48 + moveLength + 1 + timeLength; i++)
//        {
//            initialTimeList += initialInformationArray[i] + ",";
//        }
        initialTimeList = RoomGST.TrimEnd(initialTimeList, ','); //把字串的最後一個","去掉

        if (moveLength != 0 && timeLength != 0 && moveLength + 1 != timeLength)
        {
            setBoardResult = "moveLength and timeLength does not match";
        }

        // 有走步且沒有初始顏色 // 自訂盤面可以無走步仍有初始顏色
//        if (Integer.parseInt(initialStepCount) != 0 && initialgameStarted.equals("2"))
//        {
//            setBoardResult = "StepCount and gameStarted does not match";
//        }
        
        return setBoardResult;
	}
//	String setInitialInformation(String boardInfo) {
//		// client 使用預設盤面
//        String setBoardResult = "Success";
//        RoomGST.DEBUG(boardInfo);
//        boardName = boardInfo.split(",")[0];
//        boardInfo = boardInfo.substring(boardInfo.indexOf(',') + 1);
//        initialInformation = boardInfo;
//        String[] initialInformationArray = initialInformation.split(",");
//        for (int i = 0; i < 32; i++) //盤面大小為 32
//        {
//            initialChessBoard += initialInformationArray[i] + ",";
//            initialHideChessBoard += (initialInformationArray[i].endsWith("*") ? "8" : initialInformationArray[i]) + ",";
//        }
//        initialChessBoard = RoomGST.TrimEnd(initialChessBoard, ','); //把字串的最後一個","去掉
//        initialHideChessBoard = RoomGST.TrimEnd(initialHideChessBoard, ','); //把字串的最後一個","去掉
//
//        for (int i = 32; i < 46; i++) //跑暗子的那一串,有14個
//        {
//            initialRemainGhostCount += initialInformationArray[i] + ",";
//        }
//        initialRemainGhostCount = RoomGST.TrimEnd(initialRemainGhostCount, ',');  //把字串的最後一個","去掉
//
//        initialgameStarted = initialInformationArray[46];
//
//        initialStepCount = initialInformationArray[47];
//        int moveLength = Integer.parseInt(initialStepCount); //總共有幾步
//        for (int i = 48; i < 48 + moveLength; i++)
//        {
//            initialStepList += initialInformationArray[i] + ",";
//        }
//        initialStepList = RoomGST.TrimEnd(initialStepList, ','); //把字串的最後一個","去掉
//        int timeLength = Integer.parseInt(initialInformationArray[48 + moveLength]); //有幾個時間資訊要收 (應該要是 moveLength + 1)
//        for (int i = 48 + moveLength + 1; i < 48 + moveLength + 1 + timeLength; i++)
//        {
//            initialTimeList += initialInformationArray[i] + ",";
//        }
//        initialTimeList = RoomGST.TrimEnd(initialTimeList, ','); //把字串的最後一個","去掉
//
//        if (moveLength != 0 && timeLength != 0 && moveLength + 1 != timeLength)
//        {
//            setBoardResult = "moveLength and timeLength does not match";
//        }
//
//        // 有走步且沒有初始顏色 // 自訂盤面可以無走步仍有初始顏色
//        if (Integer.parseInt(initialStepCount) != 0 && initialgameStarted.equals("2"))
//        {
//            setBoardResult = "StepCount and gameStarted does not match";
//        }
//
//        return setBoardResult;
//	}

	
	//新增setInitialChessBoard
	@Override
	void setInitialChessBoard(String initialChessBoard) {
		super.initialChessBoard = initialChessBoard;
	}
	
	@Override
	String setInitialInformation(String hostName, StringBuilder moreInfo) {
		moreInfo.append("");
        return "Mode Error! Should use DefaultBoard";
	}

	@Override
	void setInitialInformationOfBoard(String initialInformationOfBoard) {
		super.initialInformationOfBoard = initialInformationOfBoard;
	}

	@Override
	String getInitialChessBoard() {
		return initialChessBoard;
	}

	@Override
	String getinitialRemainGhostCount() {
		return initialRemainGhostCount;
	}

	@Override
	String getInitialgameStarted() {
		return initialgameStarted;
	}

	@Override
	String getInitialStepCount() {
		return initialStepCount;
	}

	@Override
	String getInitialStepList() {
		return initialStepList;
	}

	@Override
	String getInitialEatList() {
		return initialEatList;
	}
	
	@Override
	String getInitialTimeList() {
		return initialTimeList;
	}

	@Override
	String getInitialInformationOfBoard() {
		return initialInformationOfBoard;
	}

	@Override
	String getBoardName() {
		return boardName;
	}

}
